#!/bin/sh

usage() {
    echo "Usage $0 [max_resolution [min_resolution]]" >&2
}

if [ "$#" -gt 4 ]
then
    usage
    exit 1
fi

if [ "$1" = "-h" ]
then
    usage
    exit 0
fi

maxres=${1:-100}
minres=${2:-90}
iter_res=${3:-10000}

if [ "$maxres" -le "$minres" ]
then
    usage
    exit 2
fi

for resolution in $(seq $minres $maxres)
do
    echo "iter $resolution / $maxres"
    iter=$(expr $resolution \* $iter_res)

    ./sadrand.py -R -r $resolution -i $iter | sed "s/^/$resolution /";

    echo ''
done | tee /tmp/rnd3d.dat

./plot3d.gp
